Index: apps/app_dial.c
===================================================================
--- apps/app_dial.c	(revision 260800)
+++ apps/app_dial.c	(working copy)
@@ -546,6 +546,7 @@
 		ast_hangup(original);
 	} else {
 		char *new_cid_num, *new_cid_name;
+		int new_cid_pres;
 		struct ast_channel *src;
 
 		if (CAN_EARLY_BRIDGE(peerflags, c, in)) {
@@ -558,12 +559,14 @@
 		} else {
 			new_cid_num = ast_strdup(in->cid.cid_num);
 			new_cid_name = ast_strdup(in->cid.cid_name);
+			new_cid_pres = in->cid.cid_pres;
 			src = in;
 		}
 		ast_string_field_set(c, accountcode, src->accountcode);
 		c->cdrflags = src->cdrflags;
 		S_REPLACE(c->cid.cid_num, new_cid_num);
 		S_REPLACE(c->cid.cid_name, new_cid_name);
+		c->cid.cid_pres = new_cid_pres;
 
 		if (in->cid.cid_ani) { /* XXX or maybe unconditional ? */
 			S_REPLACE(c->cid.cid_ani, ast_strdup(in->cid.cid_ani));
